#============================================================================
# copy_dir_nocvs.mk

COPY_DIR_NOCVS_MK =

# Prerequisites:
COPY_FILTERED_DIR_MK +=


# this snippet defines a sequence of shell commands which will
# recursively copy files within a directory to a destination, ignoring
# CVS directories. it first checks for the directory in the current
# directory; if it is not found there, it assumes it is in $srcdir.
# This is useful for things which are created by the maintainer and
# distributed.  They will thus be in builddir for the maintainer and
# srcdir for the end user.
#
# To use this, first set these shell variables
#
#  source_dir - the directory holding the original files
#  dest_dir   - the directory where the files are to be installed
#
# then interpolate $(copy_dir_nocvs).

# Heres a full example
#
#dist-hook:
#	source_dir=snippets; \
#	dest_dir=$(pkgdatadir)/snippets; \
#	$(copy_dir_nocvs)

copy_dir_nocvs =	\
	filter='`find $$rsrcdir \( -name CVS -o -name \*~ \) -prune  -o -type f -print`' ;\
	$(copy_filtered_dir)
